/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.message.axiom10;

import org.bluestemsoftware.specification.eoa.ext.message.default10.DefaultMessage;

/**
 * A runtime <code>Message</code> implementation which uses Axiom DOOM as the underlying
 * content provider.
 * 
 * TODO: does axiom api need to be on shared classpath, i.e. for application to cast content to
 * an instance of OMElement?? or can it be scoped??
 */
public interface AxiomMessage extends DefaultMessage {

    public static final String TYPE = "http://bluestemsoftware.org/specification/eoa/ext/message/axiom/1.0";

   
}
